<?php
include("cp_header_adv.php"); /**************************************************صفحة تعديل الفيديوهات*******************************************************************/


//منع الانجكشن
if(!isset($_GET['id']) || !is_numeric($_GET['id'])){
	
die("الصفحة غير موجودة");		
}	

//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

//ضمان عدم الاضافة مرتين
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

$extensionx='' ;
$filex='';

/*  اسم الجدول وبداية الكويرى */  
$table="videos";


//وضع مسار رفع الملفات والصور فى سيشن
$_SESSION['upload_folder']=$table;
$_SESSION['page_id']=$_GET['id'];


$sort_num=1;if(is_numeric($fetch['sort_num'])){$sort_num=$fetch['sort_num'];}

//بداية الاستعلام
$query="select * from videos where id=".$_GET['id'];
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);

   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
$sort_num=$fetch[0];	
?>
<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
goto error;
}
else
{
$_SESSION['LastRequest'] = $RequestSignature;
}


//فى حالة السبمت
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {

$modified=$_POST['modified'];
if (isset($_FILES['image'])){
   
$_POST['submit']=="اضافة2";
}

err1:

	

$modified=date('Y-m-d H:i:s');


//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['title']);
$_POST['desc'] = str_replace("<br /><br />", "</p><p>", nl2br($_POST['desc']));
$desc=str_replace("'","\'",$_POST['desc']);


$seo_desc=$_POST['seo_desc'];
$keywords=$_POST['keywords'];
$link=$_POST['link'];

$active;
$priority;

if(isset($_POST['priority'])){
$priority='1';
}else{
$priority='0';	
}

if(isset($_POST['active'])){
$active='1';
}else{
$active='0';	
}

//بداية الاستعلام
$query="update videos set `seo_desc`='$seo_desc',`active`='$active',`link`='$link',modified='$modified' , keywords='$keywords' ,title='$title' , `desc`='$desc', priority='$priority' where id=".$_GET['id'];

//بداية الاستعلام
$query= mysqli_prepare(

 

			$conn,

			"Update `$table` 
			set  `seo_desc`=?,`active`=?,`link`=?, `modified`=?,`user_modified`=? , `keywords`=? ,`title`=? , `desc`=?, `priority`=?
			Where id= ? "
	);

		
	
	//نهيئة المتغيرات وحمايتها من الحقن
	mysqli_stmt_bind_param($query,'sissssssii',
			
		 $seo_desc,$active,$link,$modified,$_SESSION[$domain."_user"],$keywords,$title,$desc,$priority,$_GET['id']

	);


			
	//تنفيذ الاستعلام وتخزين حالته
	$execute_status=mysqli_stmt_execute($query);
				 
	//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
	if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
	//عدد السجلات التى تم تنفيذها
	$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
echo "<div class='true'>تم رفع الوصف</div>";
goto endall;
}else{
err:	
echo "<div class='false'>لم يتم رفع الوصف</div>";  
 
  		
}

unset($_POST['submit']);


}

error:

?>	
	
	
	
	
<div id="cp_title"> تعديل الفيديو
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>		
</div>
<div id="cp_body">

<form id="app_form" enctype="multipart/form-data" method="post" action="<?php echo $_SERVER['PHP_SELF'].'?id='.$_GET['id']?>">
<div class="cp_word_body">




<div class="cp_login_row " style="float:right;">
<div class="cp_title"><span style="color:red">*</span>عنوان الفيديو</div>
<div class="cp_field">
<input class="required" alt="1" name="title" type="text" value="<?php echo $fetch['title'] ?>" />
<div class="field_val "></div>
</div>
</div>
<div class="cp_login_row" >
<div class="cp_title">رابط الفيديو</div>
<div class="cp_field">
<input  alt="1" value="<?php echo $fetch['link'] ?>"  name="link" type="text" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row " style="float:right;;">
<div class="cp_title"><span style="color:red">*</span>الوصف</div>
<div class="cp_field">
	

<textarea  class="required wymeditor" alt="1" id="txtDefaultHtmlArea" name="desc" ><?php echo $fetch['desc']; ?></textarea>	
<div class="field_val" ></div>
</div>
</div>


<div class="cp_login_row " style="float:right;">
<div class="cp_title">وصف ال seo</div>
<div class="cp_field">
	

<textarea  class="requiredx " alt="1" id="txtDefaultHtmlArea" name="seo_desc" ><?php echo $fetch['seo_desc']; ?></textarea>	
<div class="field_val" ></div>
</div>
</div>
<div class="cp_login_row " style="float:right;">
<div class="cp_title">الكلمات المفتاحية</div>
<div class="cp_field">
	

<textarea  class="requiredx " alt="1" id="txtDefaultHtmlArea" name="keywords" ><?php echo $fetch['keywords']; ?></textarea>	
<div class="field_val" ></div>
</div>
</div>


<div class="cp_login_row" >
<div class="cp_title">النشر</div>
<div class="cp_field">
<input alt="1" id="active" name="active" type="checkbox"  
<?php if($fetch['active']=='1'){ echo "checked='checked'" ;} ?>
/>	
</div>
</div>

<div class="cp_login_row" >
<div class="cp_title">الاولوية</div>
<div class="cp_field">
<input alt="1" id="active" name="priority" type="checkbox"  
<?php if($fetch['priority']=='1'){ echo "checked='checked'" ;} ?>
/>	
</div>
</div>

<div class="field_val" ></div>	
</div>	
</div>

<div class="cp_login_row">
<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="تعديل"  title="دخول" type="submit"></div>
</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>
<?php }?>
</div>
</div>

<?php 
//تحميل الفوتر
include("cp_footer.php"); ?>

<?php 
exit();

endall:
echo "<a class='true' href='view_$table.php?search='> الانتقال لصفحة تعديل الفيديوهات</a>";
?>
<script type="text/javascript">
$(function(){

//الانتقال التلقائى لصفحة العرض
setTimeout(function() {
  window.location.href = "view_<?php echo $table; ?>.php?search=";
}, 5000);


});
</script>



